--[[
	This is a simple example of a new background movement.
	Well okay, it uses math functions to make itself all pretty-like, but don't worry about that.
	Take a look at the other bk files to see how simple or complex it can be.

	Basically, you just need to define a local function in this file and return it.
	The arguments are screen, time, camera x, camera y.
	Use the screen to draw.
	Use the time to do automatic movement, like scrolling.
		(Here we use division and multiplication and cosines to make each part of the background move differently, despite using the same time)
	Use the x and y to make the background move with the camera - Or don't. It's up to you.

	Remember to add your file name to bklist.txt, where it will get assigned a number you can use to access it in your map headers, title configuration, and other stuff...
]]

-- A variable breeze version of the popular cloud movement, which also responds to x movement but not y movement.
local function BKDRAW(screen,t,x,y)
	screen.draw(graphics[bkImg],{x/128,0,320,88},{0,0})
	screen.draw(graphics[bkImg],{x/2+math.cos(t/100)/5*80+t/5, 88,320,35},{0,88})
	screen.draw(graphics[bkImg],{x/2+math.cos(t/100)/3*80+t/3,123,320,23},{0,123})
	screen.draw(graphics[bkImg],{x/2+math.cos(t/100)  *80+t,  146,320,30},{0,146})
	screen.draw(graphics[bkImg],{x/2+math.cos(t/100)*3*80+t*3,176,320,64},{0,176})
end
return BKDRAW
